package gotowe.p30_lambdy.v2;

import java.util.Arrays;

public class UzycieFramworku {

	public static void main(String[] args) {
		double[] a = { 0, 10, 20, 30, 40, 50 };
		double[] b = { 100, 16, 25, 2 };
		
        System.out.println("a: " + Arrays.toString(a));
        System.out.println("b: " + Arrays.toString(b));
        System.out.println();
        
        MojFrameworkFunkcyjny.zamien(a, x -> x*x);
        System.out.println("a: " + Arrays.toString(a));
        
        MojFrameworkFunkcyjny.zamien(a, x -> x+5);
        System.out.println("a: " + Arrays.toString(a));

        MojFrameworkFunkcyjny.zamien(b, Math::sqrt);
        System.out.println("b: " + Arrays.toString(b));
	}

}
